# Uses of Interface
org.eclipse.ui.texteditor.IStatusField

Packages that use IStatusField
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IStatusField in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IStatusField
Modifier and Type
Class
Description
`class`
`StatusLineContributionItem`
Contribution item for the status line.
Methods in org.eclipse.ui.texteditor that return IStatusField
Modifier and Type
Method
Description
`protected IStatusField`
AbstractTextEditor.`getStatusField(String category)`
Returns the current status field for the given status category.
Methods in org.eclipse.ui.texteditor with parameters of type IStatusField
Modifier and Type
Method
Description
`void`
AbstractTextEditor.`setStatusField(IStatusField field, String category)`
`void`
ITextEditorExtension.`setStatusField(IStatusField field, String category)`
Informs the editor which status field is to be used when posting status information in the given category.